
---- Determines the settings that change according to the selected difficulty level ----
-------------------------------------------------------------------------------

Difficulties = {
	EASY = {
		name = "Easy",
		startcrysts = 1,
		stopdec = 1/180,
		turbodec = 1/120,
		countdec = 0.0002,
		startnbombs = 3,
		nukeduration = 300,
		clocklevel = 21
	},
	MEDIUM = {
		name = "Medium",
		startcrysts = 3,
		stopdec = 1/110,
		turbodec = 1/80,
		countdec = 0.00025,
		startnbombs = 2,
		nukeduration = 220,
		clocklevel = 21
	},
	HARD = {
		name = "Hard",
		startcrysts = 5,
		stopdec = 1/70,
		turbodec = 1/45,
		countdec = 0.0003,
		startnbombs = 1,
		nukeduration = 140,
		clocklevel = 16
	},
	ZOMGWTF = {
		name = "ZOMGWTF",
		startcrysts = 8,
		stopdec = 1/45,
		turbodec = 1/30,
		countdec = 0.00035,
		startnbombs = 0,
		nukeduration = 60,
		clocklevel = 11
	},
}

Difficulties[1] = Difficulties.EASY
Difficulties[2] = Difficulties.MEDIUM
Difficulties[3] = Difficulties.HARD
Difficulties[4] = Difficulties.ZOMGWTF

Difficulty = Difficulties.EASY
